# ReflectionEnumUnitCase::getValue

(PHP 8 >= 8.1.0)

ReflectionEnumUnitCase::getValue — Renvoie l'objet du cas d'énumération décrit par cet objet réflection

### Description

public ReflectionEnumUnitCase::getValue(): UnitEnum

Renvoie l'objet du cas d'énumération décrit par cet objet reflection.

### Liste de paramètres

Cette fonction ne contient aucun paramètre.

### Valeurs de retour

Le cas d'énumération décrit par cet objet de réflection.

### Exemples

Exemple #1 Exemple de ReflectionEnum::getValue()

`<?php
enum Suit
{
case Hearts;
case Diamonds;
case Clubs;
case Spades;
}
$rEnum = new ReflectionEnum(Suit::class);
$rCase = $rEnum->getCase('Diamonds');
var_dump($rCase->getValue());
?>`

L'exemple ci-dessus va afficher :

    enum(Suit::Diamonds)

### Voir aussi

- Enumerations